﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ViewDefinitions
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableAppointmentCollection appointments = new ObservableAppointmentCollection();
        public MainWindow()
        {
            InitializeComponent();

            var fitnessAppointment = new Appointment()
            {
                Start = DateTime.Now.AddHours(1),
                End = DateTime.Now.AddHours(5),
                Subject = "Fitness"
            };

            appointments.Add(fitnessAppointment);
            this.radScheduleView.AppointmentsSource = appointments;
        }
    }
}
